Skip to main content
`Ctrl`+`K`

# PetscViewerMathematicaGetVector

Retrieve a vector from Mathematica via a `PETSCVIEWERMATHEMATICA`

## Synopsis

    PetscErrorCode PetscViewerMathematicaGetVector(PetscViewer viewer, Vec v)

## Input Parameter

- viewer - The Mathematica viewer

## Output Parameter

- v - The vector

## See Also

`PETSCVIEWERMATHEMATICA`, `VecView()`, `PetscViewerMathematicaPutVector()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/mathematica/mathematica.c

## Examples

src/vec/vec/tutorials/ex15.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages